-- MySQL Script generated by MySQL Workbench
-- qua 28 nov 2018 15:52:08 -02
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema trabalhobd
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema trabalhobd
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `trabalhobd` DEFAULT CHARACTER SET utf8 ;
USE `trabalhobd` ;

-- -----------------------------------------------------
-- Table `trabalhobd`.`fabricante`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`fabricante` (
  `idfabricante` INT NOT NULL,
  `nomefab` VARCHAR(30) NOT NULL,
  `ano_fundacao` INT NOT NULL,
  PRIMARY KEY (`idfabricante`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`plataforma`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`plataforma` (
  `idplataforma` INT NOT NULL,
  `nomeplat` VARCHAR(30) NOT NULL,
  `ano_lancamento` INT NOT NULL,
  `memoria` VARCHAR(30) NOT NULL,
  `idfabricante` INT NOT NULL,
  PRIMARY KEY (`idplataforma`),
  INDEX `fk_Plataforma_Fabricante_idx` (`idfabricante` ASC),
  CONSTRAINT `fk_Plataforma_Fabricante`
    FOREIGN KEY (`idfabricante`)
    REFERENCES `trabalhobd`.`fabricante` (`idfabricante`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`midia`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`midia` (
  `idmidia` INT NOT NULL,
  `nomemid` VARCHAR(30) NOT NULL,
  `velocidade_leitura` INT NOT NULL,
  PRIMARY KEY (`idmidia`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`compativel_midia`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`compativel_midia` (
  `idmidia` INT NOT NULL,
  `idplataforma` INT NOT NULL,
  INDEX `fk_Compativel_Midia_Midia1_idx` (`idmidia` ASC),
  INDEX `fk_Compativel_Midia_Plataforma1_idx` (`idplataforma` ASC),
  PRIMARY KEY (`idmidia`, `idplataforma`),
  CONSTRAINT `fk_Compativel_Midia_Midia1`
    FOREIGN KEY (`idmidia`)
    REFERENCES `trabalhobd`.`midia` (`idmidia`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Compativel_Midia_Plataforma1`
    FOREIGN KEY (`idplataforma`)
    REFERENCES `trabalhobd`.`plataforma` (`idplataforma`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`jogo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`jogo` (
  `idjogo` INT NOT NULL,
  `nomejogo` VARCHAR(30) NOT NULL,
  `descricao` VARCHAR(30) NOT NULL,
  `multiplayer` TINYINT(1) NOT NULL,
  `coop` TINYINT(1) NOT NULL,
  PRIMARY KEY (`idjogo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`compativel_jogo_plataforma`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`compativel_jogo_plataforma` (
  `idplataforma` INT NOT NULL,
  `idjogo` INT NOT NULL,
  `quantidade` INT NOT NULL,
  `ano_lancamento_jogo` INT NOT NULL,
  INDEX `fk_Compativel_Jogo_Plataforma_Plataforma1_idx` (`idplataforma` ASC),
  INDEX `fk_Compativel_Jogo_Plataforma_Jogo1_idx` (`idjogo` ASC),
  PRIMARY KEY (`idplataforma`, `idjogo`),
  CONSTRAINT `fk_Compativel_Jogo_Plataforma_Plataforma1`
    FOREIGN KEY (`idplataforma`)
    REFERENCES `trabalhobd`.`plataforma` (`idplataforma`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Compativel_Jogo_Plataforma_Jogo1`
    FOREIGN KEY (`idjogo`)
    REFERENCES `trabalhobd`.`jogo` (`idjogo`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`rede`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`rede` (
  `idrede` INT NOT NULL,
  `nome` VARCHAR(25) NOT NULL,
  `mensalidade` FLOAT NOT NULL,
  `loja` TINYINT(1) NOT NULL,
  `idplataforma` INT NOT NULL,
  PRIMARY KEY (`idrede`),
  INDEX `fk_rede_plataforma1_idx` (`idplataforma` ASC),
  CONSTRAINT `fk_rede_plataforma1`
    FOREIGN KEY (`idplataforma`)
    REFERENCES `trabalhobd`.`plataforma` (`idplataforma`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `trabalhobd`.`dlc`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `trabalhobd`.`dlc` (
  `iddlc` INT NOT NULL,
  `nomedlc` VARCHAR(45) NOT NULL,
  `descricao` VARCHAR(45) NOT NULL,
  `idjogo` INT NOT NULL,
  PRIMARY KEY (`iddlc`),
  INDEX `fk_dlc_jogo1_idx` (`idjogo` ASC),
  CONSTRAINT `fk_dlc_jogo1`
    FOREIGN KEY (`idjogo`)
    REFERENCES `trabalhobd`.`jogo` (`idjogo`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
